<mat-card>
  <mat-card-title>Login</mat-card-title>
  <mat-card-content>
    <form [formGroup]="form" (ngSubmit)="submit()">
      <p>
          <input type="text" matInput placeholder="Username" formControlName="username">
      </p>

      <p>
          <input type="password" matInput placeholder="Password" formControlName="password">
      </p>

      <p *ngIf="errorMessage" class="loginError">
        {{ errorMessage }}
      </p>

      <p class="loginButtons">
        <button type="submit" mat-button>Login</button>
      </p>

    </form>
  </mat-card-content>
</mat-card>